### Method

# St IconTheme add_resource_path

#### Declaration [src]

    void
    st_icon_theme_add_resource_path (
      StIconTheme* icon_theme,
      const char* path
    )

#### Description [src]

Adds a resource path that will be looked at when looking for icons, similar to search paths.

This function should be used to make application-specific icons available as part of the icon theme.

The resources are considered as part of the hicolor icon theme and must be located in subdirectories that are defined in the hicolor icon theme, such as ``path`/16x16/actions/run.png`. Icons that are directly placed in the resource path instead of a subdirectory are also considered as ultimate fallback.

#### Parameters

`path`

  Type: `const char*`

  A resource path.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.